#ifndef NPIXCAPWIDGET_H
#define NPIXCAPWIDGET_H


#include <QWidget>
#include <QLabel>
#include <QHBoxLayout>
#include <QPushButton>
#include <QPainterPath>

class NPixCapWidget : public QWidget
{
    Q_OBJECT
public:
    NPixCapWidget();
    ~NPixCapWidget();
    QPushButton *close = nullptr;
    QPushButton *capture3 = nullptr;
    QPushButton *capture5 = nullptr;
    QPushButton *capture10 = nullptr;
    QPushButton *capture20 = nullptr;
    QWidget *mainWin = nullptr;
    QHBoxLayout *mainWinLayout = nullptr;
protected:
    void paintEvent(QPaintEvent *event);

Q_SIGNALS:
    void cap_emit(int);

private:
    QHBoxLayout *captureLayout = nullptr;
    int width;
    int height;
    QHBoxLayout *layout = nullptr;
    QWidget *widget = nullptr;
    void capCloseSlot();
    void cap3Slot();
    void cap5Slot();
    void cap10Slot();
    void cap20Slot();
};


#endif // NPIXCAPWIDGET_H
